.TH block "" "" "Entry-Point Routine"
.PC "Invoke a driver block interface"
.B "#include <sys/con.h>"
\fBvoid	\fIprefix\^\fBblock(\fIbp\^\fB)\fR
\fBbuf_t *\fIbp\^\fB;\fR
.PP
Under the internal \*(CO device-driver interface,
the entry point
.B block
gives access to the driver's routine for executing a block interface
with the device.
The address of this routine is given in field
.B c_block
of the driver's
.B CON
structure.
.PP
Argument
.I bp
points to the
.B BUF
structure that describes how data are written to or read from this device.
For details, see the entry for
.B BUF
in this manual.
.SH "See Also"
.B
BUF,
CON,
entry-point routines,
strategy
.R
